# Performance Metrics

{% hint style="info" %}
As a large number of visual metrics on your Tactyc dashboard are computed "on-the-fly" on your browser. not every metric seen on the dashboard may be available via the API. &#x20;

Please use the provided reports or charts from the fund dashboard to download any metrics not available via the API.
{% endhint %}

## **Method and URL**

<table data-header-hidden><thead><tr><th width="119"></th><th></th></tr></thead><tbody><tr><td>URL</td><td><code>https://tactycapi.com/api/metrics/{{FUND_ID}}/{{MODE}}/{{ACCUM}}/{{METRIC}}</code></td></tr><tr><td>Method</td><td>GET</td></tr><tr><td>Params</td><td><p><strong>Fund ID:</strong> Your Fund ID that you wish to pull metrics from</p><p><strong>Mode:</strong> <strong>current</strong> or <strong>construction</strong> </p><p><strong>Accum</strong>: <strong>period</strong> or <strong>cumulative</strong></p><p><strong>Metric:</strong> The metric key you wish to pull for e.g. <strong>newInvestments</strong></p></td></tr></tbody></table>

## Sample Request

The following is a sample request to query the in-period TVPI for the current model.

```
// Sample request
curl https://tactycapi.com/api/metrics/{{FUND_ID}}/current/period/tvpiLp
 -X GET
 -H 'Authorization:{{API KEY}}'
```

## Sample Response

The response will provide the following fields:

* **Status Code:** 200 for a succesful response
* **Start Date:** The start date on file for the fund
* **Period:** The current month of the fund starting with 0 as the first month
* **Metrics:** An array of objects representing metric performance over time. Each object has the following fields:
  * **Month:** Current Month
  * **Date:** Pretty Formatted Date in MMM-YYYY format
  * **Value:** The value of the metric in this period

```json
{
    "status": 200,
    "body": {
        "startDate": "2019-04-01",
        "period": 48,
        "metrics": [
            {
                "month": 0,
                "date": "Apr-2019",
                "value": 0
            }....]}
}
```

## **Available Metrics**

The following metrics are available for access programmatically via our API. These are the **metric keys** that need to be added to your request URL.

**Committments**

* **committedCapitalLp**: Committed capital from LP
* **committedCapitalGp**: Committed capital from GP
* **committedCapital**: Total committed capital

**Investment Cash Flows**

* **newInvestments**: Cash flows into initial investments
* **followOnInvestments**: Cash flows into follow-on investments
* **totalInvestments**: Total cash flows into all investments

**Deployed Capital**

* **contributedCapital**: Total capital deployed across fees, expenses and investments
* **contributedCapitalLp**: Total capital deployed by LPs across fees, expenses and investments
* **contributedCapitalGp:** Total capital deployed by GPs across fees, expenses and investments

**Called Capital**

* **calledCapital**: Total capital called this period
* **calledCapitalLp**: Total capital called from LPs this period
* **calledCapitalGp**: Total capital called from GPs this period

**Exits**

* **exits**: Exit proceeds this period to the fund
* **exitRecycledActualized**: Exit proceeds recycled this period

**Dividends**

* **dividends**: Dividends to the fund from investments
* **dividendsRecycledActualized**: Dividends recycled this period into investments

**Management Fees and Expenses**

* **managementFees**: Total management fees in this period
* **managementFeesRecycledActualized:** Management fees recycled this period
* **expenses:** Fund expenses this period
* **totalFeesAndExpenses:** Total fees and expenses

**Fund Performance**

* **tier0Gp:** GP Proceeds
* **tier1:** LP return of Contributed capital
* **tier2**: LP return of preferred hurdle
* **tier3:** GP Catch-up
* **tier4Gp**: GP Carried Interest
* **tier4Lp**: LP Profits
* **netProceedsLp**: Net Proceeds to LP
* **netProceedsGp:** Net Proceeds to GP
* **fairMarketValue**: End of period fair market value or NAV for the fund
* **grossMoic**: The gross multiple for the fund
* **dpiLp:** DPI for the fund
* **tvpiLp:** TVPI for the fund
* **rvpiLp:** RVPI for the fund


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tactyc.io/api-and-integrations/api-overview/performance-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
